--------------------------------------------------------------------------------
-- Carnage Contest Game Ender Script
-- Script by DC, October 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
if cc.ender==nil then cc.ender={} end
cc.ender.kstrongest={}

-- Load & Prepare Ressources
cc.ender.kstrongest.sfx=loadsfx("diaboliclaugh.ogg")

-- Add Game Ender
addgameender("kstrongest","Kill strongest")

-- Kill Random Player
function kstrongest_ge_run(endstep)
	players=playertable(0,0)
	if #players>0 then
		-- Effect
		playsound(cc.ender.kstrongest.sfx)
		setbgcolor(255,0,0,1.0,0.02)
		-- Find strongest
		strongest=players[1]
		strongesthp=getplayerhealth(strongest)
		for i=1,#players,1 do
			if getplayerhealth(players[i])>=strongesthp then
				if getplayerhealth(players[i])>strongesthp or random(0,1)>0.5 then
					strongest=players[i]
					strongesthp=getplayerhealth(strongest)
				end
			end
		end
		-- Kill strongest
		scroll(getplayerx(strongest),getplayery(strongest))
		playerdamage(strongest,getplayerhealth(strongest))
	end
end