--------------------------------------------------------------------------------
-- Carnage Contest Game Ender Script
-- Script by DC, October 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
if cc.ender==nil then cc.ender={} end
cc.ender.kleftmost={}

-- Load & Prepare Ressources
cc.ender.kleftmost.sfx=loadsfx("diaboliclaugh.ogg")

-- Add Game Ender
addgameender("kleftmost","Kill leftmost")

-- Kill Random Player
function kleftmost_ge_run(endstep)
	players=playertable(0,0)
	if #players>0 then
		-- Effect
		playsound(cc.ender.kleftmost.sfx)
		setbgcolor(255,0,0,1.0,0.02)
		-- Find leftmost
		leftmost=players[1]
		leftmostx=getplayerx(leftmost)
		for i=1,#players,1 do
			if getplayerx(players[i])<leftmostx then
				leftmost=players[i]
				leftmostx=getplayerx(leftmost)
			end
		end
		-- Kill leftmost
		scroll(getplayerx(leftmost),getplayery(leftmost))
		playerdamage(leftmost,getplayerhealth(leftmost))
	end
end