--------------------------------------------------------------------------------
-- Carnage Contest Game Ender Script
-- Script by DC, October 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
if cc.ender==nil then cc.ender={} end
cc.ender.poisonall={}

-- Load & Prepare Ressources
cc.ender.poisonall.fx=loadsfx("pandemic.ogg")

-- Add Game Ender
addgameender("poisonall","Poison All")

-- Kill Random Player
function poisonall_ge_run(endstep)
	if endstep==0 then
		-- Effect
		playsound(cc.ender.poisonall.fx)
		setbgcolor(0,255,0,1.0,0.005)
		-- Poison all
		players=playertable(0,0)
		for i=1,#players,1 do
			playerstate(players[i],state_poisoned,1)
			particle(p_ring,getplayerx(players[i]),getplayery(players[i]))
			particlecolor(0,255,0)
		end
	end
end