progress=0
temphealth=0
alpha=0
ctrl_move=loadgfx('$MISSION/controls_move.png')
ctrl_backjump=loadgfx('$MISSION/controls_backjump.png')
ctrl_jump=loadgfx('$MISSION/controls_jump.png')


-- show info messages and images
function customdraw()
	-- messages
	if progress==0 then
		if getframe()<250 then
			hudmsgbox("Welcome to your basic training, special elite super ninja warrior pirate!")
		elseif getframe()>275 then
			hudmsgbox("Go to the right end of the map! Use [A] and [D] or your arrow keys to move!")
		end
	elseif progress==1 then
		hudmsgbox("Jump upwards. Use backjumps to do so ([ALT]/[SHIFT]/[BACKSPACE])!")
	elseif progress==2 then
		if getplayerhealth(0)==temphealth then
			hudmsgbox("Jump over both gaps ([CTRL]) to reach the torch und the left!")
		else
			hudmsgbox("Ouch! Hold the movement key pressed to jump further!")
		end
	end
	-- images
	setrotation(0)
	setscale(1,1)
	setcolor(255,255,255)
	setalpha(alpha)
	if getframe()>275 then
		if progress==0 then
			drawhud(ctrl_move,5,50,1)
		elseif progress==1 then
			drawhud(ctrl_backjump,5,50+100,1)
			setalpha(1)
			drawhud(ctrl_move,5,50,1)
		elseif progress==2 then
			drawhud(ctrl_jump,23,50+100+100,1)
			setalpha(1)
			drawhud(ctrl_backjump,5,50+100,1)
			drawhud(ctrl_move,5,50,1)
		end
	end
end

-- change info messages + blow "gate" at start
function customupdate()
	if getframe()==250 then
		terrainexplosion(getnodex("gate"),getnodey("gate"),30,1)
		grey=math.random(0,40)
		terrainalphaimage(gfx_crater125,getnodex("gate"),getnodey("gate"),math.random(6,9)*0.1,grey,grey,grey)
	end
	if progress==0 then
		if getplayerx(0)>getnodex("rightside") then
			progress=1
			alpha=0
		end
	elseif progress==1 then
		if (getplayery(0)+30)>getnodey("top") then
			if getplayerx(0)<=(getnodex("top")+30) then
				progress=2
				alpha=0
				temphealth=getplayerhealth(0)
			end
		end
	end
	if getframe()>275 then
		if alpha<1.0 then
			alpha=alpha+0.01
		end
	end
end