-- light effect around player
function lightfx()
	x=getplayerx(0)
	y=getplayery(0)
	particle(p_muzzle,x,y)
	particlesize(0.8,2.0)
	particlerotation(0)
	particlealpha(1.0)
	particlefadealpha(0.04)
	particlecolor(255,255,220)
	for i=1,10 do
		particle(p_flare,x+math.random(-1000,1000)/100,y+math.random(-1000,1000)/100)
		size=math.random(200,500)/100
		particlesize(size,size)
		particlefadealpha(math.random(10,20)/1000)
		particlecolor(255,255,220)
		particlespeed(0,-math.random(20,150)/100)
	end
end

-- start function
function mission_start()
	-- start fx
	lightfx()
	playsound(sfx_turn_you)
	-- call customt start function
	customstart()
end
-- custom start function for additional functionality. overwritten by map scripts 000.lua-XXX.lua
function customstart()
end

-- draw function (just calls custom)
function mission_draw()
	-- call custom draw function
	customdraw()
end
-- custom draw function for additional functionality. overwritten by map scripts 000.lua-XXX.lua
function customdraw()
end

-- update function
function mission_update()
	if (getframe()%5)==0 then
		-- Win?
		if #objecttable(o_medikit)==0 then
			win()
		end
	end
	-- call custom update function
	customupdate()
end
-- custom update function for additional functionality. overwritten by map scripts 000.lua-XXX.lua
function customupdate()
end