--------------------------------------------------------------------------------
-- Carnage Contest Game Ender Script
-- Script by DC, October 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
if cc.ender==nil then cc.ender={} end
cc.ender.randkill={}

-- Load & Prepare Ressources
cc.ender.randkill.sfx=loadsfx("diaboliclaugh.ogg")

-- Add Game Ender
addgameender("randkill","Kill random")

-- Kill Random Player
function randkill_ge_run(endstep)
	-- Get living players
	players=playertable(0,0)
	if #players>0 then
		-- Effect
		playsound(cc.ender.randkill.sfx)
		setbgcolor(255,0,0,1.0,0.02)
		-- Get random index
		randomseed(getframe()*321+getround()*456)
		kill=math.ceil(random(0.5,#players))
		-- Kill!
		scroll(getplayerx(players[kill]),getplayery(players[kill]))
		playerdamage(players[kill],getplayerhealth(players[kill]))
	end
end