--------------------------------------------------------------------------------
-- Carnage Contest Game Ender Script
-- Script by DC, October 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
if cc.ender==nil then cc.ender={} end
cc.ender.krightmost={}

-- Load & Prepare Ressources
cc.ender.krightmost.sfx=loadsfx("diaboliclaugh.ogg")

-- Add Game Ender
addgameender("krightmost","Kill rightmost")

-- Kill Random Player
function krightmost_ge_run(endstep)
	players=playertable(0,0)
	if #players>0 then
		-- Effect
		playsound(cc.ender.krightmost.sfx)
		setbgcolor(255,0,0,1.0,0.02)
		-- Find rightmost
		rightmost=players[1]
		rightmostx=getplayerx(rightmost)
		for i=1,#players,1 do
			if getplayerx(players[i])>rightmostx then
				rightmost=players[i]
				rightmostx=getplayerx(rightmost)
			end
		end
		-- Kill rightmost
		scroll(getplayerx(rightmost),getplayery(rightmost))
		playerdamage(rightmost,getplayerhealth(rightmost))
	end
end