--------------------------------------------------------------------------------
-- Carnage Contest Game Ender Script
-- Script by DC, October 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
if cc.ender==nil then cc.ender={} end
cc.ender.ktopmost={}

-- Load & Prepare Ressources
cc.ender.ktopmost.sfx=loadsfx("diaboliclaugh.ogg")

-- Add Game Ender
addgameender("ktopmost","Kill topmost")

-- Kill Random Player
function ktopmost_ge_run(endstep)
	players=playertable(0,0)
	if #players>0 then
		-- Effect
		playsound(cc.ender.ktopmost.sfx)
		setbgcolor(255,0,0,1.0,0.02)
		-- Find topmost
		topmost=players[1]
		topmosty=getplayery(topmost)
		for i=1,#players,1 do
			if getplayery(players[i])<topmosty then
				topmost=players[i]
				topmosty=getplayery(topmost)
			end
		end
		-- Kill topmost
		scroll(getplayerx(topmost),getplayery(topmost))
		playerdamage(topmost,getplayerhealth(topmost))
	end
end