--------------------------------------------------------------------------------
-- Carnage Contest Game Ender Script
-- Script by DC, October 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
if cc.ender==nil then cc.ender={} end
cc.ender.kbottommost={}

-- Load & Prepare Ressources
cc.ender.kbottommost.sfx=loadsfx("diaboliclaugh.ogg")

-- Add Game Ender
addgameender("kbottommost","Kill bottommost")

-- Kill Random Player
function kbottommost_ge_run(endstep)
	players=playertable(0,0)
	if #players>0 then
		-- Effect
		playsound(cc.ender.kbottommost.sfx)
		setbgcolor(255,0,0,1.0,0.02)
		-- Find bottommost
		bottommost=players[1]
		bottommosty=getplayery(bottommost)
		for i=1,#players,1 do
			if getplayery(players[i])>bottommosty then
				bottommost=players[i]
				bottommosty=getplayery(bottommost)
			end
		end
		-- Kill bottommost
		scroll(getplayerx(bottommost),getplayery(bottommost))
		playerdamage(bottommost,getplayerhealth(bottommost))
	end
end