--------------------------------------------------------------------------------
-- Carnage Contest Game Ender Script
-- Script by DC, October 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
if cc.ender==nil then cc.ender={} end
cc.ender.all1hp={}

-- Load & Prepare Ressources
cc.ender.all1hp.fx=loadsfx("diaboliclaugh.ogg")

-- Add Game Ender
addgameender("all1hp","All 1 HP")

-- Kill Random Player
function all1hp_ge_run(endstep)
	if endstep==0 then
		-- Effect
		playsound(cc.ender.all1hp.fx)
		setbgcolor(255,0,0,1.0,0.02)
		-- Poison all
		players=playertable(0,0)
		for i=1,#players,1 do
			playerdamage(players[i],getplayerhealth(players[i])-1)
		end
	end
end