--------------------------------------------------------------------------------
-- Carnage Contest Game Mode Script
-- Script by DC, May 2011, www.UnrealSoftware.de
--------------------------------------------------------------------------------

addgamemode("bo1","Best of 1 Round")

function bo1_gm_start()
	-- Do nothing
end

function bo1_gm_draw()
	-- Do nothing
end

function bo1_gm_update()
	-- Do nothing
end

function bo1_gm_playerdamage()
	-- Do nothing
end

function bo1_gm_endturn()
	if getround()>=1 and getturn(1)==getturn(2) then
		-- Force end!
		-- Get Alliance/Color with most health
		wincolor = -1
		winhealth = 0
		players = playertable(0,0)
		for i=1,8 do
			-- Get alliance health
			temphealth=0
			for j=1,#players do
				if getplayeralliance(players[j])==i then
					temphealth = temphealth + getplayerhealth(players[j])
				end
			end
			-- Aliance health higher than health of other alliances?
			if temphealth > winhealth then
				winhealth = temphealth
				wincolor = i
			end
		end
		-- Is there another alliance with equal health? That would be a draw!
		for i=1,8 do
			-- Get alliance health
			temphealth=0
			for j=1,#players do
				if getplayeralliance(players[j])==i then
					temphealth = temphealth + getplayerhealth(players[j])
				end
			end
			-- Alliance health equals highest alliance health (+ alliance is another one)
			if (temphealth == winhealth) and (i ~= wincolor) then
				-- Draw detected!
				wincolor = -1
				break
			end
		end
		-- Return winner
		return wincolor
	else
		-- Let the game decide itself if it's over
		return -2
	end
end